summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorTim Rozet <trozet@redhat.com>2016-06-08 18:43:13 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2016-06-08 18:43:13 +0000
commit5883b243f92f33e4743f3692d25604b86daf0c5a (patch)
tree665e35ac0f79ee726be71177ff2a5c6561c3e730 /ci
parentbecdbad9bcd9c5d2f209d8b6f768b320ccdef658 (diff)
parent8f72afed8531337a02c43835693a0caa2c977753 (diff)
Merge "Add dataplane deploy setting"
Diffstat (limited to 'ci')
-rwxr-xr-xci/deploy.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
index 30a6af29..d31993fe 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -789,6 +789,12 @@ function undercloud_prep_overcloud_deploy {
exit 1
fi
+ # Handle different dataplanes
+ if [ "${deploy_options_array['dataplane']}" != 'ovs']; then
+ echo "${red}ovs is the only currently available dataplane. ${deploy_options_array['dataplane']} not implemented${reset}"
+ exit 1
+ fi
+
# Make sure the correct overcloud image is available
if [ ! -f $RESOURCES/overcloud-full-${SDN_IMAGE}.qcow2 ]; then
echo "${red} $RESOURCES/overcloud-full-${SDN_IMAGE}.qcow2 is required to execute your deployment."